> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists all available catalogs



## OpenAPI

````yaml /openapi.json get /api/publicapi/v1/catalogs
openapi: 3.0.4
info:
  title: Vantage processing REST API
  description: 'Environment: Production<br>Product Version: 1.6.17'
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs:
    get:
      tags:
        - Catalogs
      summary: Lists all available catalogs
      operationId: GetCatalogs
      responses:
        '200':
          description: All catalogs are successfully returned
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogListItemDto
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogListItemDto
            text/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogListItemDto
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.CatalogListItemDto:
      required:
        - id
        - name
      type: object
      properties:
        id:
          minLength: 1
          type: string
          description: Unique identifier of the catalog
        name:
          minLength: 1
          type: string
          description: Name of the catalog
      additionalProperties: false
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````